## openssh 7.4p1

=== debian/changelog ===
openssh (1:7.4p1-10+deb9u7) stretch; urgency=medium

  * Fix deadlock when the keys/principals command produces a lot of
    output and a key is matched early (upstream commit
    ddd3d34e5c7979ca6f4a3a98a7d219a4ed3d98c2). (Closes: #905226)

 -- Moritz Mühlenhoff <jmm@debian.org>  Mon, 15 Jul 2019 15:32:09 +0200

openssh (1:7.4p1-10+deb9u6) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Apply upstream patch to make scp handle shell-style brace expansions
    when checking that filenames sent by the server match what the client
    requested (closes: #923486).

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 01 Mar 2019 17:19:28 +0100

openssh (1:7.4p1-10+deb9u5) stretch; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2018-20685: disallow empty filenames or ones that refer to the current
    directory (Closes: #919101)
  * CVE-2019-6109: sanitize scp filenames via snmprintf (Closes: #793412)
  * CVE-2019-6111: check in scp client that filenames sent during
    remote->local directory copies satisfy the wildcards specified by the user

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 08 Feb 2019 15:25:55 +0100

openssh (1:7.4p1-10+deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team
  * CVE-2018-15473: fix username enumeration issue, initially reported
    by Dariusz Tytko and Michal Sajdak (Closes: #906236)

 -- Sebastien Delafond <seb@debian.org>  Tue, 21 Aug 2018 05:14:18 +0200

openssh (1:7.4p1-10+deb9u3) stretch; urgency=medium

  * CVE-2017-15906: sftp-server(8): In read-only mode, sftp-server was
    incorrectly permitting creation of zero-length files. Reported by Michal
    Zalewski.

 -- Colin Watson <cjwatson@debian.org>  Thu, 01 Mar 2018 15:17:53 +0000

openssh (1:7.4p1-10+deb9u2) stretch; urgency=medium

  * Test configuration before starting or reloading sshd under systemd
    (closes: #865770).
  * Adjust compatibility patterns for WinSCP to correctly identify versions
    that implement only the legacy DH group exchange scheme (closes:
    #877800).
  * Make "--" before the hostname terminate argument processing after the
    hostname too (closes: #873201).

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 Nov 2017 09:37:22 +0000

openssh (1:7.4p1-10+deb9u1) stretch; urgency=medium

  * Fix incoming compression statistics (thanks, Russell Coker; closes:
    #797964).

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Jun 2017 01:11:26 +0100

openssh (1:7.4p1-10) unstable; urgency=medium

  * Move privilege separation directory and PID file from /var/run/ to /run/
    (closes: #760422, #856825).
  * Unbreak Unix domain socket forwarding for root (closes: #858252).

 -- Colin Watson <cjwatson@debian.org>  Thu, 30 Mar 2017 11:19:04 +0100

openssh (1:7.4p1-9) unstable; urgency=medium

  * Fix null pointer dereference in ssh-keygen; this fixes an autopkgtest
    regression introduced in 1:7.4p1-8.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Mar 2017 13:43:15 +0000

openssh (1:7.4p1-8) unstable; urgency=medium

  * Fix ssh-keygen -H accidentally corrupting known_hosts that contained
    already-hashed entries (closes: #851734, LP: #1668093).
  * Fix ssh-keyscan to correctly hash hosts with a port number (closes:
    #857736, LP: #1670745).

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Mar 2017 13:49:14 +0000

openssh (1:7.4p1-7) unstable; urgency=medium

  * Don't set "PermitRootLogin yes" on fresh installations (regression
    introduced in 1:7.4p1-1; closes: #852781).
  * Restore reading authorized_keys2 by default.  Upstream seems to intend
    to gradually phase this out, so don't assume that this will remain the
    default forever.  However, we were late in adopting the upstream
    sshd_config changes, so it makes sense to extend the grace period
    (closes: #852320).

 -- Colin Watson <cjwatson@debian.org>  Sun, 05 Mar 2017 02:12:42 +0000

openssh (1:7.4p1-6) unstable; urgency=medium

  * Remove temporary file on exit from postinst (closes: #850275).
  * Remove LOGIN_PROGRAM and LOGIN_NO_ENDOPT definitions, since UseLogin is
    gone.
  * Document sshd_config changes that may be needed following the removal of
    protocol 1 support from sshd (closes: #851573).
  * Remove ssh_host_dsa_key from HostKey default (closes: #850614).
  * Fix rekeying failure with GSSAPI key exchange (thanks, Harald Barth;
    closes: #819361, LP: #1608965).

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Jan 2017 15:11:10 +0000

openssh (1:7.4p1-5) unstable; urgency=medium

  * Create mux socket for regression tests in a temporary directory.
  * Work around clock_gettime kernel bug on Linux x32 (closes: #849923).

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Jan 2017 14:43:28 +0000

openssh (1:7.4p1-4) unstable; urgency=medium

  * Run regression tests inside annotate-output to try to diagnose timeout
    issues.
  * Make integrity tests more robust against timeouts in the case where the
    first test in a series for a given MAC happens to modify the low bytes
    of a packet length.
  * Fix race conditions in forwarding tests.

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Jan 2017 19:37:23 +0000

openssh (1:7.4p1-3) unstable; urgency=medium

  * Revert attempted hack around regress/forwarding.sh test failure, since
    it doesn't seem to help.
  * Run regression tests using 'sh -x' to try to get more information about
    failures.
  * Dump some useful log files if regression tests fail.
  * Tweak regression test setup to cope with the case where some of the
    source directory is unreadable by the openssh-tests user.

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Dec 2016 02:48:17 +0000

openssh (1:7.4p1-2) unstable; urgency=medium

  * Attempt to hack around regress/forwarding.sh test failure in some
    environments.
  * Avoid calling into Kerberos libraries from ssh_gssapi_server_mechanisms
    in the privsep monitor.


