=== debian/control ===
--- 
+++ 
@@ -2,21 +2,46 @@
 Section: net
 Priority: standard
 Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
-Build-Depends: libwrap0-dev | libwrap-dev, zlib1g-dev (>= 1:1.2.3), libssl-dev (>= 0.9.8g), libpam0g-dev | libpam-dev, libgtk2.0-dev, libedit-dev, debhelper (>= 9~), dh-exec, libselinux1-dev [linux-any], libkrb5-dev | heimdal-dev, dpkg-dev (>= 1.16.1~), dh-autoreconf, autotools-dev, dh-systemd (>= 1.4), libaudit-dev [linux-any], libsystemd-dev [linux-any]
-Standards-Version: 3.9.7
-Uploaders: Colin Watson <cjwatson@debian.org>, Matthew Vernon <matthew@debian.org>
+Build-Depends: autotools-dev,
+               debhelper (>= 9~),
+               dh-autoreconf,
+               dh-exec,
+               dh-systemd (>= 1.4),
+               dpkg-dev (>= 1.16.1~),
+               libaudit-dev [linux-any],
+               libedit-dev,
+               libgtk-3-dev,
+               libkrb5-dev | heimdal-dev,
+               libpam0g-dev | libpam-dev,
+               libselinux1-dev [linux-any],
+               libssl1.0-dev | libssl-dev (<< 1.1.0~),
+               libsystemd-dev [linux-any],
+               libwrap0-dev | libwrap-dev,
+               zlib1g-dev (>= 1:1.2.3),
+Standards-Version: 3.9.8
+Uploaders: Colin Watson <cjwatson@debian.org>,
+           Matthew Vernon <matthew@debian.org>,
 Homepage: http://www.openssh.com/
 Vcs-Git: https://anonscm.debian.org/git/pkg-ssh/openssh.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ssh/openssh.git
 
 Package: openssh-client
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.10), dpkg (>= 1.7.0), passwd
-Recommends: xauth
-Conflicts: sftp
-Replaces: ssh, ssh-krb5
-Suggests: ssh-askpass, libpam-ssh, keychain, monkeysphere
-Provides: rsh-client, ssh-client
+Depends: adduser (>= 3.10),
+         dpkg (>= 1.7.0),
+         passwd,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: xauth,
+Conflicts: sftp,
+Replaces: ssh,
+          ssh-krb5,
+Suggests: keychain,
+          libpam-ssh,
+          monkeysphere,
+          ssh-askpass,
+Provides: rsh-client,
+          ssh-client,
 Multi-Arch: foreign
 Description: secure shell (SSH) client, for secure access to remote machines
  This is the portable version of OpenSSH, a free implementation of
@@ -44,7 +69,9 @@
 Package: openssh-client-ssh1
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, openssh-client (= ${binary:Version})
+Depends: openssh-client (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Multi-Arch: foreign
 Description: secure shell (SSH) client for legacy SSH1 protocol
  This is the portable version of OpenSSH, a free implementation of
@@ -73,13 +100,33 @@
 Package: openssh-server
 Priority: optional
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 0.76-14), libpam-modules (>= 0.72-9), adduser (>= 3.9), dpkg (>= 1.9.0), openssh-client (= ${binary:Version}), lsb-base (>= 4.1+Debian3), procps, openssh-sftp-server
-Recommends: xauth, ncurses-term, libpam-systemd, ${openssh-server:Recommends}
-Conflicts: ssh-socks, ssh2, sftp
-Replaces: ssh, ssh-krb5
-Suggests: ssh-askpass, rssh, molly-guard, ufw, monkeysphere
-Provides: ssh-server
+Pre-Depends: ${misc:Pre-Depends},
+Depends: adduser (>= 3.9),
+         dpkg (>= 1.9.0),
+         libpam-modules (>= 0.72-9),
+         libpam-runtime (>= 0.76-14),
+         lsb-base (>= 4.1+Debian3),
+         openssh-client (= ${binary:Version}),
+         openssh-sftp-server,
+         procps,
+         ucf (>= 0.28),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: libpam-systemd,
+            ncurses-term,
+            xauth,
+            ${openssh-server:Recommends},
+Conflicts: sftp,
+           ssh-socks,
+           ssh2,
+Replaces: ssh,
+          ssh-krb5,
+Suggests: molly-guard,
+          monkeysphere,
+          rssh,
+          ssh-askpass,
+          ufw,
+Provides: ssh-server,
 Multi-Arch: foreign
 Description: secure shell (SSH) server, for secure access from remote machines
  This is the portable version of OpenSSH, a free implementation of
@@ -105,11 +152,13 @@
 Package: openssh-sftp-server
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: openssh-server | ssh-server
-Breaks: openssh-server (<< 1:6.5p1-5)
-Replaces: openssh-server (<< 1:6.5p1-5)
-Enhances: openssh-server, ssh-server
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: openssh-server | ssh-server,
+Breaks: openssh-server (<< 1:6.5p1-5),
+Replaces: openssh-server (<< 1:6.5p1-5),
+Enhances: openssh-server,
+          ssh-server,
 Description: secure shell (SSH) sftp server module, for SFTP access from remote machines
  This is the portable version of OpenSSH, a free implementation of
  the Secure Shell protocol as specified by the IETF secsh working
@@ -138,8 +187,10 @@
 Package: ssh
 Priority: extra
 Architecture: all
-Pre-Depends: dpkg (>= 1.17.5)
-Depends: ${misc:Depends}, openssh-client (>= ${binary:Version}), openssh-server (>= ${binary:Version})
+Pre-Depends: dpkg (>= 1.17.5),
+Depends: openssh-client (>= ${binary:Version}),
+         openssh-server (>= ${binary:Version}),
+         ${misc:Depends},
 Description: secure shell client and server (metapackage)
  This metapackage is a convenient way to install both the OpenSSH client
  and the OpenSSH server. It provides nothing in and of itself, so you
@@ -149,7 +200,9 @@
 Section: oldlibs
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}, openssh-client (>= ${binary:Version}), openssh-server (>= ${binary:Version})
+Depends: openssh-client (>= ${binary:Version}),
+         openssh-server (>= ${binary:Version}),
+         ${misc:Depends},
 Description: secure shell client and server (transitional package)
  This is a transitional package depending on the regular Debian OpenSSH
  client and server, which now support GSSAPI natively. It will add the
@@ -160,9 +213,11 @@
 Section: gnome
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, openssh-client | ssh (>= 1:1.2pre7-4) | ssh-krb5
-Replaces: ssh (<< 1:3.5p1-3)
-Provides: ssh-askpass
+Depends: openssh-client | ssh (>= 1:1.2pre7-4) | ssh-krb5,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Replaces: ssh (<< 1:3.5p1-3),
+Provides: ssh-askpass,
 Description: interactive X program to prompt users for a passphrase for ssh-add
  This has been split out of the main openssh-client package so that
  openssh-client does not need to depend on GTK+.
@@ -175,7 +230,7 @@
 Section: debian-installer
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends},
 XB-Installer-Menu-Item: 99999
 Description: secure shell client for the Debian installer
  This is the portable version of OpenSSH, a free implementation of
@@ -189,7 +244,7 @@
 Section: debian-installer
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends},
 Description: secure shell server for the Debian installer
  This is the portable version of OpenSSH, a free implementation of
  the Secure Shell protocol as specified by the IETF secsh working
