=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,8 @@
 confflags += --disable-strip
 confflags += --with-mantype=doc
 confflags += --with-4in6
-confflags += --with-privsep-path=/var/run/sshd
+confflags += --with-privsep-path=/run/sshd
+confflags += --with-pid-dir=/run
 
 # The Hurd needs libcrypt for res_query et al.
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
@@ -107,7 +108,6 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/buildflags.mk
 cflags := $(CPPFLAGS) $(CFLAGS)
-cflags += -DLOGIN_PROGRAM=\"/bin/login\" -DLOGIN_NO_ENDOPT
 cflags += -DSSH_EXTRAVERSION=\"$(SSH_EXTRAVERSION)\"
 cflags_udeb := -Os
 cflags_udeb += -DSSH_EXTRAVERSION=\"$(SSH_EXTRAVERSION)\"
@@ -131,55 +131,48 @@
 override_dh_autoreconf-indep:
 
 override_dh_auto_configure-arch:
-	dh_auto_configure -Bbuild-deb -- $(confflags)
-	dh_auto_configure -Bbuild-deb-ssh1 -- $(confflags) --with-ssh1
-	dh_auto_configure -Bbuild-udeb -- $(confflags_udeb)
+	dh_auto_configure -Bdebian/build-deb -- $(confflags)
+	dh_auto_configure -Bdebian/build-deb-ssh1 -- $(confflags) --with-ssh1
+	dh_auto_configure -Bdebian/build-udeb -- $(confflags_udeb)
 
 override_dh_auto_configure-indep:
 
 override_dh_auto_build-arch:
 	# Avoid libnsl linkage. Ugh.
-	perl -pi -e 's/ +-lnsl//' build-udeb/config.status
-	cd build-udeb && ./config.status
-
-	$(MAKE) -C build-deb $(PARALLEL) ASKPASS_PROGRAM='/usr/bin/ssh-askpass'
-	$(MAKE) -C build-deb-ssh1 $(PARALLEL) SSH_PROGRAM='/usr/bin/ssh1' ASKPASS_PROGRAM='/usr/bin/ssh-askpass' ssh scp ssh-keygen
-	$(MAKE) -C build-udeb $(PARALLEL) ASKPASS_PROGRAM='/usr/bin/ssh-askpass' ssh scp sftp sshd ssh-keygen
-
-	$(MAKE) -C contrib gnome-ssh-askpass2 CC='$(CC) $(CPPFLAGS) $(CFLAGS) -Wall -Wl,--as-needed $(LDFLAGS)' PKG_CONFIG=$(PKG_CONFIG)
+	perl -pi -e 's/ +-lnsl//' debian/build-udeb/config.status
+	cd debian/build-udeb && ./config.status
+
+	$(MAKE) -C debian/build-deb $(PARALLEL) ASKPASS_PROGRAM='/usr/bin/ssh-askpass'
+	$(MAKE) -C debian/build-deb-ssh1 $(PARALLEL) SSH_PROGRAM='/usr/bin/ssh1' ASKPASS_PROGRAM='/usr/bin/ssh-askpass' ssh scp ssh-keygen
+	$(MAKE) -C debian/build-udeb $(PARALLEL) ASKPASS_PROGRAM='/usr/bin/ssh-askpass' ssh scp sftp sshd ssh-keygen
+
+	$(MAKE) -C contrib gnome-ssh-askpass3 CC='$(CC) $(CPPFLAGS) $(CFLAGS) -Wall -Wl,--as-needed $(LDFLAGS)' PKG_CONFIG=$(PKG_CONFIG)
 
 override_dh_auto_build-indep:
 
 override_dh_auto_test-arch:
 ifeq ($(RUN_TESTS),yes)
-	$(MAKE) -C build-deb regress-prep
-	$(MAKE) -C build-deb $(PARALLEL) \
-		regress/unittests/sshbuf/test_sshbuf \
-		regress/unittests/sshkey/test_sshkey \
-		regress/unittests/bitmap/test_bitmap \
-		regress/unittests/hostkeys/test_hostkeys \
-		regress/unittests/kex/test_kex
-	$(MAKE) -C build-deb/regress \
-		.OBJDIR="$(CURDIR)/build-deb/regress" \
+	$(MAKE) -C debian/build-deb regress-prep
+	$(MAKE) -C debian/build-deb $(PARALLEL) regress-binaries
+	$(MAKE) -C debian/build-deb/regress \
+		.OBJDIR="$(CURDIR)/debian/build-deb/regress" \
 		.CURDIR="$(CURDIR)/regress" \
 		unit
-	$(MAKE) -C build-deb compat-tests
+	$(MAKE) -C debian/build-deb compat-tests
 	$(MAKE) -C debian/keygen-test
 endif
 
 override_dh_auto_test-indep:
 
 override_dh_auto_clean:
-	rm -rf build-deb build-deb-ssh1 build-udeb
+	rm -rf debian/build-deb debian/build-deb-ssh1 debian/build-udeb
 ifeq ($(RUN_TESTS),yes)
 	$(MAKE) -C debian/keygen-test clean
 endif
 	$(MAKE) -C contrib clean
-	(cat debian/copyright.head; iconv -f ISO-8859-1 -t UTF-8 LICENCE) \
-		> debian/copyright
 
 override_dh_auto_install-arch:
-	$(MAKE) -C build-deb DESTDIR=`pwd`/debian/tmp install-nokeys
+	$(MAKE) -C debian/build-deb DESTDIR=`pwd`/debian/tmp install-nokeys
 
 override_dh_auto_install-indep:
 
@@ -188,7 +181,7 @@
 
 	dh_install -Nopenssh-client-udeb -Nopenssh-server-udeb --fail-missing
 	dh_install -popenssh-client-udeb -popenssh-server-udeb \
-		--sourcedir=build-udeb
+		--sourcedir=debian/build-udeb
 
 	# Remove version control tags to avoid unnecessary conffile
 	# resolution steps for administrators.
